<?xml version="1.0" encoding="utf-8"?>
<manifest
	xmlns:android="http://schemas.android.com/apk/res/android"
	package="gunav2.keymon.com.mx"
	android:versionCode="1"
	android:versionName="6.02.19"
	android:installLocation="internalOnly">
	
	<uses-sdk android:minSdkVersion="5" android:targetSdkVersion="30"/>
	<supports-screens android:largeScreens="true" 
	    android:normalScreens="true"
	    android:smallScreens="true"
	    android:anyDensity="true"/>
	<uses-permission
	  android:name="android.permission.WRITE_EXTERNAL_STORAGE"
	  android:maxSdkVersion="30" />
	<uses-permission
	  android:name="android.permission.ACCESS_FINE_LOCATION"
	  android:maxSdkVersion="30" />
	<uses-permission
	  android:name="android.permission.READ_PHONE_STATE"
	  android:maxSdkVersion="30" />
	<uses-permission
	  android:name="android.permission.READ_PRIVILEGED_PHONE_STATE"
	  android:maxSdkVersion="30" />
	<permission
	        android:name="gunav2.keymon.com.mx.DYNAMIC_RECEIVER_NOT_EXPORTED_PERMISSION"
	        android:protectionLevel="signature" />
	
	    <uses-permission android:name="gunav2.keymon.com.mx.DYNAMIC_RECEIVER_NOT_EXPORTED_PERMISSION" />
	<uses-permission
			   android:name="android.permission.WRITE_EXTERNAL_STORAGE"
			   android:maxSdkVersion="30" />
	<uses-feature android:name="android.hardware.telephony" android:required="false" />
	<uses-feature android:name="android.hardware.camera" android:required="false" />
	<uses-feature android:name="android.hardware.camera.autofocus" android:required="false" />
	<uses-feature android:name="android.hardware.camera.flash" android:required="false" />
	<queries>
	    <package android:name="com.google.android.apps.maps" />
	  </queries>
	<uses-permission android:name="android.permission.BLUETOOTH_ADMIN" />
	<queries>
	    <package android:name="com.google.android.apps.maps" />
	  </queries>
	<uses-permission
			   android:name="android.permission.WRITE_EXTERNAL_STORAGE"
			   android:maxSdkVersion="33" />
	<uses-permission android:name="android.permission.ACCESS_FINE_LOCATION"/>
	<uses-permission android:name="android.permission.BLUETOOTH"/>
	<uses-permission android:name="android.permission.BLUETOOTH_ADMIN"/>
	<uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION"/>
	<uses-permission android:name="android.permission.WRITE_SECURE_SETTINGS"/>
	<uses-permission android:name="android.permission.REBOOT"/>
	<uses-permission android:name="android.permission.WRITE_SETTINGS"/>
	<uses-permission android:name="android.permission.CHANGE_WIFI_STATE"/>
	<uses-permission android:name="android.permission.ACCESS_WIFI_STATE"/>
	<uses-permission android:name="android.permission.UPDATE_DEVICE_STATS"/>
	<uses-permission android:name="android.permission.MODIFY_PHONE_STATE"/>
	<uses-permission android:name="android.permission.READ_PHONE_STATE"/>
	<uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/>
	<uses-permission android:name="android.permission.VIBRATE"/>
	<uses-permission android:name="android.permission.POST_NOTIFICATIONS"/>
	<uses-permission android:name="android.permission.CAMERA"/>
	<uses-permission android:name="android.hardware.camera"/>
	<uses-permission android:name="android.hardware.camera.autofocus"/>
	<uses-permission android:name="android.permission.FLASHLIGHT"/>
	<uses-permission android:name="android.permission.INTERNET"/>
	<uses-permission android:name="com.google.android.providers.gsf.permission.READ_GSERVICES"/>
	<uses-permission android:name="gunav2.keymon.com.mx.permission.MAPS_RECEIVE"/>
	<uses-permission android:name="android.permission.ACCESS_NETWORK_STATE"/>
	<uses-permission android:name="android.permission.WAKE_LOCK"/>
	<uses-permission android:name="android.permission.FOREGROUND_SERVICE"/>
	<uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED"/>
	<uses-permission android:name="android.permission.ACCESS_BACKGROUND_LOCATION"/>
	<uses-permission android:name="com.google.android.c2dm.permission.RECEIVE"/>
	<uses-permission android:name="com.google.android.gms.permission.AD_ID"/>
	<uses-permission android:name="gunav2.keymon.com.mx.permission.C2D_MESSAGE"/>
	<uses-permission android:name="com.google.android.finsky.permission.BIND_GET_INSTALL_REFERRER_SERVICE"/>
	<uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES"/>
	<uses-permission android:name="android.permission.INSTALL_PACKAGES"/>
	<uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE"/>
	<uses-permission android:name="android.permission.BLUETOOTH_ADVERTISE"/>
	<uses-permission android:name="android.permission.BLUETOOTH_CONNECT"/>
	<uses-permission android:name="android.permission.BLUETOOTH_SCAN"/>
	<uses-permission android:name="android.permission.MANAGE_EXTERNAL_STORAGE"/>
	<uses-permission android:name="android.permission.CALL_PHONE"/>
	<application
		android:name="androidx.multidex.MultiDexApplication"
		android:icon="@drawable/icon"
		android:label="Guna Preventa"
		android:theme="@style/LightTheme"
		android:usesCleartextTraffic="true"
		android:appComponentFactory="androidx.core.app.CoreComponentFactory"
		android:largeHeap="true"
		android:allowBackup="false">
		
		<activity android:name="com.google.zxing.client.android.CaptureActivity"
		android:screenOrientation="landscape" 
		android:configChanges="orientation|keyboardHidden"
		android:theme="@android:style/Theme.NoTitleBar.Fullscreen"
		android:windowSoftInputMode="stateAlwaysHidden">
		</activity>
		<activity android:name="com.google.android.gms.common.api.GoogleApiActivity"
		  android:theme="@android:style/Theme.Translucent.NoTitleBar"
		  android:exported="false"/>
		    <meta-data
		  android:name="com.google.android.gms.version"
		  android:value="@integer/google_play_services_version" />
		<meta-data
		  android:name="com.google.android.geo.API_KEY"
		   android:value="AIzaSyBlBnx3O-DncOSv3oFIp-12wgujOYYcl-U"/>
		  <meta-data android:name="com.google.android.gms.version"
		   android:value="@integer/google_play_services_version" />
		<uses-library
		      android:name="org.apache.http.legacy"
		      android:required="false" />
		<activity android:name="com.google.android.gms.common.api.GoogleApiActivity"
		  android:theme="@android:style/Theme.Translucent.NoTitleBar"
		  android:exported="false"/>
		    <meta-data
		  android:name="com.google.android.gms.version"
		  android:value="@integer/google_play_services_version" />
		<receiver
		            android:name="com.google.android.gms.measurement.AppMeasurementReceiver"
		            android:enabled="true"
		            android:exported="false" >
		        </receiver>
		
		  <service
		            android:name="com.google.android.gms.measurement.AppMeasurementService"
		            android:enabled="true"
		            android:exported="false" />
					
		<service
		            android:name="com.google.android.gms.measurement.AppMeasurementJobService"
		            android:enabled="true"
		            android:exported="false"
		            android:permission="android.permission.BIND_JOB_SERVICE" />
		
		 <service android:name="com.google.firebase.components.ComponentDiscoveryService"  android:directBootAware="true" android:exported="false"  >
		            <meta-data
		                android:name="com.google.firebase.components:com.google.firebase.analytics.connector.internal.AnalyticsConnectorRegistrar"
		                android:value="com.google.firebase.components.ComponentRegistrar" />
					 <meta-data
		                android:name="com.google.firebase.components:com.google.firebase.iid.Registrar"
		                android:value="com.google.firebase.components.ComponentRegistrar" />
		             <meta-data
		                android:name="com.google.firebase.components:com.google.firebase.auth.FirebaseAuthRegistrar"
		                android:value="com.google.firebase.components.ComponentRegistrar" />
		             <meta-data
		                android:name="com.google.firebase.components:com.google.firebase.storage.StorageRegistrar"
		                android:value="com.google.firebase.components.ComponentRegistrar" />
		            <meta-data 
						android:name="com.google.firebase.components:com.google.firebase.firestore.FirestoreRegistrar"
						android:value="com.google.firebase.components.ComponentRegistrar"/>
		
					<meta-data
		   				 android:name="com.google.firebase.components:com.google.firebase.database.DatabaseRegistrar"
		   				 android:value="com.google.firebase.components.ComponentRegistrar"/>
		   			 <meta-data
		                android:name="com.google.firebase.components:com.google.firebase.messaging.FirebaseMessagingRegistrar"
		                android:value="com.google.firebase.components.ComponentRegistrar" />
		             <meta-data
		                android:name="com.google.firebase.components:com.google.firebase.installations.FirebaseInstallationsRegistrar"
		                android:value="com.google.firebase.components.ComponentRegistrar" />
		              <meta-data
		                android:name="com.google.firebase.components:com.google.firebase.crashlytics.CrashlyticsRegistrar"
		                android:value="com.google.firebase.components.ComponentRegistrar" />
		             <meta-data
		                android:name="com.google.firebase.components:com.google.firebase.remoteconfig.RemoteConfigRegistrar"
		                android:value="com.google.firebase.components.ComponentRegistrar"/>
		            <meta-data
		                android:name="com.google.firebase.components:com.google.firebase.abt.component.AbtRegistrar"
		                android:value="com.google.firebase.components.ComponentRegistrar"/>
		               
		</service>
		   <provider
		     android:name="com.google.firebase.provider.FirebaseInitProvider"
		            android:authorities="gunav2.keymon.com.mx.firebaseinitprovider"
		            android:directBootAware="true"
		            android:exported="false"
		            android:initOrder="100" />
		   <receiver
		  android:name="com.google.firebase.iid.FirebaseInstanceIdReceiver"
		  android:exported="true"
		  android:permission="com.google.android.c2dm.permission.SEND" >
		  <intent-filter>
		  <action android:name="com.google.android.c2dm.intent.RECEIVE" />
		  <action android:name="com.google.android.c2dm.intent.REGISTRATION" />
		  <category android:name="gunav2.keymon.com.mx" />
		  </intent-filter>
		  </receiver>
		    <receiver
		  android:name="com.google.firebase.iid.FirebaseInstanceIdInternalReceiver"
		  android:exported="false" />
		
		
		  <service
		  android:name="com.google.firebase.iid.FirebaseInstanceIdService"
		  android:exported="true">
		  <intent-filter android:priority="-500">
		  <action android:name="com.google.firebase.INSTANCE_ID_EVENT" />
		  </intent-filter>
		  </service>
		<service
		            android:name="com.google.firebase.messaging.FirebaseMessagingService"
		            android:directBootAware="true"
		            android:exported="false" >
		            <intent-filter android:priority="-500" >
		                <action android:name="com.google.firebase.MESSAGING_EVENT" />
		            </intent-filter>
		        </service>
		        
		   <service android:name="anywheresoftware.b4a.objects.FirebaseNotificationsService"  android:exported="true">
		     <intent-filter>
		  		<action android:name="com.google.firebase.MESSAGING_EVENT"/>
		     </intent-filter>
		   </service>
		<provider
				  android:name="androidx.core.content.FileProvider"
				  android:authorities="gunav2.keymon.com.mx.provider"
				  android:exported="false"
				  android:grantUriPermissions="true">
				  <meta-data
				  android:name="android.support.FILE_PROVIDER_PATHS"
				  android:resource="@xml/provider_paths"/>
				  </provider>
		<activity android:name="ice.zxing.CaptureActivity"
			android:screenOrientation="portrait" android:configChanges="orientation|keyboardHidden"
			android:theme="@android:style/Theme.NoTitleBar.Fullscreen"
			android:windowSoftInputMode="stateAlwaysHidden">
		</activity>
		<activity
			android:windowSoftInputMode="stateHidden"
			android:launchMode="singleTop"
			android:name=".main"
			android:label="Guna Preventa"
			android:screenOrientation="portrait"
			android:exported="true">
			<intent-filter>
			   <action android:name="android.intent.action.MAIN" />
			   <category android:name="android.intent.category.LAUNCHER" />
			</intent-filter>
			
			<intent-filter>
			<action android:name="android.intent.action.VIEW" />
			<category android:name="android.intent.category.DEFAULT" />
			<data android:pathPattern=".*\\.db" />
			<data android:mimeType="*/*" />
			</intent-filter>
		</activity>
		<service
			android:name=".starter"
			android:exported="true">
		</service>
		<receiver
			android:name=".starter$starter_BR"
			android:exported="true">
		</receiver>
		<service
			android:name=".appupdater"
			android:exported="true">
		</service>
		<receiver
			android:name=".appupdater$appupdater_BR"
			android:exported="true">
		</receiver>
		<service
			android:name=".firebasemessaging"
			android:exported="true">
		</service>
		<receiver
			android:name=".firebasemessaging$firebasemessaging_BR"
			android:exported="true">
		</receiver>
		<activity
			android:windowSoftInputMode="stateHidden"
			android:launchMode="singleTop"
			android:name=".mapa_rutas"
			android:label="Guna Preventa"
			android:screenOrientation="portrait"
			android:exported="true">
		</activity>
		<service
			android:name=".tracker"
			android:exported="true"
			android:foregroundServiceType="location">
		</service>
		<receiver
			android:name=".tracker$tracker_BR"
			android:exported="true">
			<intent-filter>
			<action android:name="android.intent.action.BOOT_COMPLETED"/>
			</intent-filter>
		</receiver>
		<service
			android:name=".newinst2"
			android:exported="true">
		</service>
		<receiver
			android:name=".newinst2$newinst2_BR"
			android:exported="true">
		</receiver>
		<receiver
			android:name=".httputils2service"
			android:exported="true">
		</receiver>
	</application>
</manifest>